Bug 1909070 - PLR and TR Logs component is not streaming as fast as tkn
Summary: PLR and TR Logs component is not streaming as fast as tkn
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Karthik Jeeyar
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1911258 1911260
TreeView+ depends on / blocked
 
Reported: 2020-12-18 09:46 UTC by Karthik Jeeyar
Modified: 2021-02-24 15:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1911260 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:47:00 UTC
Target Upstream Version:


Attachments (Terms of Use)
PLR and TR Logs component is streaming as fast as tkn (413.71 KB, image/png)
2021-01-07 14:38 UTC, spathak@redhat.com
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7598 0 None closed Bug 1909070: Fix logs streaming issue in multistream logs 2021-01-11 01:40:52 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:47:37 UTC

Description Karthik Jeeyar 2020-12-18 09:46:12 UTC
Description of problem: 

Logs component in PLR and TR details page, is not streaming the logs as fast as tkn logs

Prerequisites (if any, like setup, operators/versions): 
 Install openshift Pipelines Operator

Steps to Reproduce:

1. Start a pipeline and visit the PLR/TR logs page
2. In Parallel, run the tkn logs in terminal

Actual results:

Logs streaming in UI is not syncing with the logs streamed in tkn.

Expected results: 

Logs streamed in UI should be as fast as tkn logs

Comment 2 spathak@redhat.com 2021-01-07 14:38:47 UTC
Created attachment 1745318 [details]
PLR and TR Logs component is streaming as fast as tkn

Comment 3 spathak@redhat.com 2021-01-07 14:45:21 UTC
Verified on build version: 4.7.0-0.nightly-2020-12-21-131655
Browser version: chrome 84

Comment 6 errata-xmlrpc 2021-02-24 15:47:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.